### Method

# Gdk Displayprepare_gl

since: 4.4

#### Declaration [src]

    gboolean
    gdk_display_prepare_gl (
      GdkDisplay* self
      GError** error
    )

#### Description [src]

Checks that OpenGL is available for `self` and ensures that it is properly initialized. When this fails, an `error` will be set describing the error and this function returns `FALSE`.

Note that even if this function succeeds, creating a `GdkGLContext` may still fail.

This function is idempotent. Calling it multiple times will just return the same value or error.

You never need to call this function, GDK will call it automatically as needed. But you can use it as a check when setting up code that might make use of OpenGL.

Available since: 4.4

#### Return value

Type: `gboolean`

`TRUE` if the display supports OpenGL.